Automate checking for dependencies with npm-check

Has it happened to you that a dependency which has been deprecated caused an error that took you almost a day (and entirety of your mental peace) to fix. I was the victim of this error most recently working on a React Native app.

React has recently made a lot of changes, most of them causing an error if you’re using an earlier version. I had this issue with navigation, where a lot of components have been moved.

Most of the errors had a fix to install each of them specifically, and it would have been really frustrating to install each of them one by one. So, as any lazy programmer would do, I spent the equivalent amount of time to find a quick fix 😜.

So I came across this incredible called npm-check. All you have to do is install it using npm (npm i npm-check) and you’re good to go. One of the best features is the npm-check -u . It provides a cli interface to update a list of dependencies at a time.

npm-check interface

It’s really convenient when you want to use a legacy project or if you’re upgrading an app which was built on earlier versions.